Bug 109320 - FILEOPEN: DOCX - Libreoffice doesnt support the w:dropCap="margin" feature
Summary: FILEOPEN: DOCX - Libreoffice doesnt support the w:dropCap="margin" feature
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Limitations DOCX Paragraph-Drop-Caps
  Show dependency treegraph
 
Reported: 2017-07-24 17:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-07-15 03:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master (138.86 KB, image/png)
2020-07-14 11:12 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-07-24 17:30:23 UTC
Steps:
1. Open attachment 134821 [details]
2. Notice that drop caps 'I' is within the document text area
3. Compare this with MS Word and notice that the 'I' is within the margin area.

Version: 6.0.0.0.alpha0+
Build ID: 888f3f18cf42ca08f55a5e4826b4298f391e14aa
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

LibreOffice doesnt have a supported feature of this kind, so is unable to import it. Relevant OOXML code - <w:framePr w:dropCap="margin" ... w:hAnchor="page" />
Comment 1 Yousuf Philips (jay) (retired) 2017-07-24 17:35:48 UTC
how it looks in Word - attachment 134825 [details]
Comment 2 Jacques Guilleron 2017-07-25 14:37:10 UTC
Confirmed with
LO  6.0.0.0.alpha0+ Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-26_01:24:22
Locale: fr-FR (fr_FR); Calc: CL
and
LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
Probably inherited from OOo.
Comment 3 QA Administrators 2018-08-04 02:38:32 UTC Comment hidden (obsolete)
Comment 4 Jacques Guilleron 2018-08-04 12:49:57 UTC
Still reproduced with
LO 6.2.0.0.alpha0+ Build ID: 7e65a0794b7c57210779bb9a6d1f2b2e49eb86e9
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-30_23:37:44
Locale: fr-FR (fr_FR); Calc: CL
Comment 5 QA Administrators 2019-08-19 06:54:58 UTC Comment hidden (obsolete)
Comment 6 Jacques Guilleron 2019-08-19 12:44:36 UTC
Still there in
LO  6.4.0.0.alpha0+ (x86)Build ID: 5ba84c3c7080d55d86b8b39db077b6da36cb700a
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL

Jacques
Comment 7 Xisco Faulí 2020-07-14 11:12:04 UTC
Created attachment 163011 [details]
Comparison MSO 2010 and LibreOffice 7.1 master
Comment 8 QA Administrators 2022-07-15 03:44:22 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug